Bug 78947 - Install fails with Grub bootloader selected, when Grub has been previously installed.
Install fails with Grub bootloader selected, when Grub has been previously in...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
http://www.systemsaligned.com/anacdum...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-03 15:52 EST by Brian Zammit
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:07:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error dump from failed RH 8.0 installation when using grub as a boot loader. (73.76 KB, text/plain)
2002-12-03 15:54 EST, Brian Zammit
no flags Details

  None (edit)
Description Brian Zammit 2002-12-03 15:52:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2) Gecko/20021126

Description of problem:
Install produces an error and fails when Grub is selected as the bootloader, and
Grub has been previously installed. Lilo works fine though.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.ftp installation of RH 8
2.choose grub as boot loader
3.server install, autopartition
4.choose no packages
5.wait for formatting, and packages to be installed
6.see error pop up
	

Actual Results:  had to reboot, and reinstall using lilo instead of grub for a
boot loader.

Expected Results:  install should of finished normally.

Additional info:
Comment 1 Brian Zammit 2002-12-03 15:54:08 EST
Created attachment 87267 [details]
Error dump from failed RH 8.0 installation when using grub as a boot loader.
Comment 2 Michael Fulbright 2002-12-06 12:37:08 EST
Did you manually unselect grub from the list of packaes to be installed? It was
not installed by the installer looking at the install log.
Comment 3 Brian Zammit 2002-12-07 18:26:59 EST
I unselected all packages from the install list. I selected grub now and it
work. This is still a BIG problem though. The installer should select GRUB as a
dependancy and automatically intall it, just like the installer selects lilo by
automatic dependancy.
Comment 4 Jeremy Katz 2003-01-10 01:50:59 EST
We make sure that this is done now.
Comment 5 Jeremy Katz 2006-04-24 14:07:06 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.